Skip to main content

getStores

Returns the raw store instances. This is an escape hatch - anything you can achieve through getState, exec, or on should go through those instead.

Usage

getStores(): { data: KanbanStore };
FieldTypeDescription
dataKanbanStoreThe internal kanban store driving the board

Example

<script setup>
import { ref } from "vue";
import { Kanban } from "@svar-ui/vue-kanban";

const api = ref(null);

function inspectStore() {
const { data } = api.value.getStores();
console.log(data);
}
</script>

<template>
<Kanban :cards="cards" :columns="columns" ref="api" />
<button @click="inspectStore">Inspect store</button>
</template>

getStores
Returns the raw store instances. This is an escape hatch - anything you can achieve through getState, exec, or on should go through those instead.
Usage
getStores(): { data: KanbanStore };
| Field | Type | Description |
|---|---|---|
data | KanbanStore | The internal kanban store driving the board |
Example
import { useRef } from "react";
import { Kanban } from "@svar-ui/react-kanban";
function App() {
const apiRef = useRef(null);
function inspectStore() {
const { data } = apiRef.current.getStores();
console.log(data);
}
return (
<>
<Kanban cards={cards} columns={columns} ref={apiRef} />
<button onClick={inspectStore}>Inspect store</button>
</>
);
}
Related
- getState - non-reactive state snapshot (preferred)
- getReactiveState - reactive stores (preferred)